एउटै पूर्व-साझा कुञ्जीले मिलाइएका दुई गेटवेले ह्यान्डसेक पूरा गर्छन्, र प्याकेट रेकर्डले तार पार गर्ने कुनै रहस्य देखाउँदैन। यही त्यो भाग हो जो मानिसहरू सम्झन्छन्। रोचक भाग यो हो कि प्रत्येक संस्करणले रहस्य ज्ञात भएको प्रमाण दिन वास्तवमा के गणना गर्छ, किनकि IKEv1 र IKEv2 त्यो प्रमाण फरक इनपुटबाट बनाउँछन् र त्यसै गर्दा फरक जानकारी खोल्छन्। दुवै ट्रेस सँगसँगै पढ्नुहोस् र फरक देखावटी रहन छोड्छ।

प्रमाणले के हासिल गर्नुपर्छ

Diffie-Hellman ले दुवै पक्षलाई एउटा साझा मान दिन्छ जसको सार्वजनिक आधा भाग हेर्ने जो कोहीले पनि गणना गर्न सक्छ। आफैंमा यसले पहिचानबारे केही प्रमाणित गर्दैन: कुञ्जी आदानप्रदान पूरा गर्ने आक्रमणकारीसँग तपाईंको गेटवेजस्तै साझा मान हुन्छ। प्रमाणीकरणको चरण त्यो आदानप्रदानलाई यस्तो रहस्यसँग बाँध्न छ जो केवल इच्छित पक्षसँग हुन्छ, र तिनले सहमति गरेका पहिचान र मापदण्डसँग पनि।

यही बन्धनले ह्यासले कुञ्जीभन्दा बढी ढाक्ने कारण हो। यसले केवल रहस्य ढाक्यो भने आक्रमणकारीले यसलाई फरक पहिचान वा प्रस्ताव भएको अर्को आदानप्रदानमा फेरि चलाउन सक्थ्यो।

IKEv1 Main Mode: SKEYID निकाल्नुहोस्, त्यसपछि प्रमाण दिनुहोस्

Main Mode ले छ सन्देश चलाउँछ। पहिलो जोडीले सुरक्षा संगठनमा वार्ता गर्छ, दोस्रोले Diffie-Hellman का सार्वजनिक मान र nonce आदानप्रदान गर्छ, र तेस्रोले भर्खरै स्थापित इन्क्रिप्शनअन्तर्गत पहिचान र प्रमाणीकरण ह्यास बोक्छ। RFC 2409 ले संरचना परिभाषित गर्छ: पूर्व-साझा कुञ्जी प्रमाणीकरणमा SKEYID रहस्य र दुवै nonce बाट निकालिन्छ, र पछिको कुञ्जी सामग्री SKEYID, Diffie-Hellman को साझा मान, कुकी र स्थिरांकबाट।

पाँचौं र छैटौं सन्देशको ह्यास Diffie-Hellman मान, दुई कुकी, प्रस्ताव र पठाउनेको पहिचानमा SKEYID लाई कुञ्जी बनाई गणना गरिन्छ। प्राप्तकर्ताले यसलाई आफ्नो मिलाइएको रहस्यले फेरि गणना गर्छ। नमिल्दोपनले आदानप्रदान अन्त्य गर्छ, र रहस्य आफैं कहिल्यै पेलोड हुँदैन।

Aggressive Mode ले त्यही काम तीन सन्देशमा खुम्च्याउँछ, अर्थात् पहिचान र प्रमाणीकरण ह्यास इन्क्रिप्टेड च्यानल बन्नुअघि नै यात्रा गर्छन्। यो अनुमान गर्न सकिने रहस्यका लागि वास्तविक जोखिम हो, र रहस्य पठाइयो कि भन्ने प्रश्नबाट अलग छ। IKEv1 लाई RFC 9395 ले अप्रचलित बनाएको छ, त्यसैले पुरानो ट्रेस निदानात्मक अभ्यास हो, परिनियोजनको लक्ष्य होइन।

IKEv2: फरक व्युत्पत्ति र फरक AUTH पेलोड

IKEv2 ले IKEv1 को कुञ्जी तालिका पुनः प्रयोग गर्दैन। सुरुका IKE कुञ्जी nonce र Diffie-Hellman को साझा मानबाट बनेको बीउबाट आउँछन्, र सन्तान सुरक्षा संगठन तिनैबाट व्युत्पन्न हुन्छन्। पूर्व-साझा कुञ्जीले बीउलाई केही पनि दिँदैन।

त्यसपछि प्रमाणीकरण AUTH पेलोडका रूपमा देखिन्छ। साझा कुञ्जी प्रमाणीकरणका लागि RFC 7296 ले रहस्यको भरिएको स्वरूप निर्धारण गर्छ, जो रहस्यलाई स्थिर स्ट्रिङसँग ह्यास गरेर प्राप्त हुन्छ Key Pad for IKEv2, र त्यसपछि हस्ताक्षर गरिएको आदानप्रदान डाटा र पहिचान त्यो भरिएको कुञ्जीले ह्यास गरिन्छ। प्रमाणितकर्ताले त्यही मान फेरि बनाउन सक्छ; हेर्नेले रहस्यबिना सक्दैन।

के बदलियो ध्यान दिनुहोस्। IKEv1 मा रहस्य प्रमाणीकरण ह्यास अस्तित्वमा आउनुअघि नै कुञ्जी तालिकामा मिसाइन्छ; IKEv2 मा कुञ्जी तालिका रहस्यबाट स्वतन्त्र छ र प्रमाण हस्ताक्षर गरिएका अक्टेटसँग बाँधिएको छुट्टै पेलोड हो। त्यही अवधारणात्मक ग्यारेन्टी, फरक मेसिनरी, र त्यसैले मापदण्डका नाम र रेकर्ड एक-एक मिल्दैनन्।

हेर्नेले वास्तवमा के सिक्छ

Diffie-Hellman का सार्वजनिक मान, प्रस्ताव, nonce र कुकी दुवै संस्करणमा देखिन्छन्। पहिचान IKEv1 Aggressive Mode मा देखिन्छन् र अन्य अवस्थामा सुरक्षित रहन्छन्। रहस्य कहिल्यै देखिँदैन।

त्यो अन्तिम वाक्यको एउटा सीमा छ जो भन्नैपर्छ। कमजोर, मानिसले छानेको रहस्यमाथि अनुमानले आक्रमण गर्न सकिन्छ: आक्रमणकारीले कुनै उम्मेदवार रहस्यका लागि प्रमाणीकरण मान के हुन्थ्यो गणना गर्छ र तुलना गर्छ। IKEv1 Aggressive Mode ले यसलाई सबैभन्दा सस्तो बनाउँछ किनकि प्रमाण खुला हुन्छ, र मापदण्डहरूले सामान्यतया कम इन्ट्रोपीका रहस्यबारे चेतावनी दिन्छन्। रहस्य कहिल्यै नपठाउनु नराम्रो रहस्य सुरक्षित बनाउनुसँग बराबर होइन।

यो तुलनासँग के गर्ने

हरेक पक्ष-जोडीका लागि एउटा अद्वितीय रहस्य प्रयोग गर्नुहोस्, यसलाई अनियमित स्रोतबाट बनाउनुहोस्, र जुन आपूर्ति मार्गले वितरण गर्यो त्यही मार्गबाट फेर्नुहोस्। यदि रहस्य हरेक शाखामा पठाइने कन्फिगरेसन टेम्प्लेटमा छ भने एक ठाउँको उल्लंघन सबै ठाउँको उल्लंघन हो।

जहाँ सञ्चालन लागत स्वीकार्य छ त्यहाँ प्रमाणपत्र-आधारित प्रमाणीकरणलाई प्राथमिकता दिनुहोस्, किनकि यसले साझा रहस्यको अनुमान समस्या हटाउँछ र हरेक पक्षलाई छुट्टै पहिचान दिन्छ। जहाँ पूर्व-साझा कुञ्जी रहन्छ, त्यसलाई लामो राख्नुहोस्, दायरा साँघुरो राख्नुहोस्, र IKE संस्करणलाई अन्तरसञ्चालनको विवरण होइन, सुरक्षा निर्णय मान्नुहोस्।

सम्बन्धित लेखहरू